package com.kingdee.eas.custom.compensation.basedata;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.shr.base.syssetting.SHRBaseItem;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.eas.custom.compensation.basedata.app.*;
import com.kingdee.bos.framework.*;
import com.kingdee.shr.base.syssetting.ISHRBaseItem;

public class PositionSalaryStandard extends SHRBaseItem implements IPositionSalaryStandard
{
    public PositionSalaryStandard()
    {
        super();
        registerInterface(IPositionSalaryStandard.class, this);
    }
    public PositionSalaryStandard(Context ctx)
    {
        super(ctx);
        registerInterface(IPositionSalaryStandard.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("85EF02F4");
    }
    private PositionSalaryStandardController getController() throws BOSException
    {
        return (PositionSalaryStandardController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public PositionSalaryStandardInfo getPositionSalaryStandardInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getPositionSalaryStandardInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public PositionSalaryStandardInfo getPositionSalaryStandardInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getPositionSalaryStandardInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public PositionSalaryStandardInfo getPositionSalaryStandardInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getPositionSalaryStandardInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public PositionSalaryStandardCollection getPositionSalaryStandardCollection() throws BOSException
    {
        try {
            return getController().getPositionSalaryStandardCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public PositionSalaryStandardCollection getPositionSalaryStandardCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getPositionSalaryStandardCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public PositionSalaryStandardCollection getPositionSalaryStandardCollection(String oql) throws BOSException
    {
        try {
            return getController().getPositionSalaryStandardCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}